
Figure - Bug #112131
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】系统-日期与时间-时区-点击区域settings崩溃
2022-09-26 11:41 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-26

Priority: Urgent Due date: 2022-09-29

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220929.alpha_0025

Reproducibility: Every time Fixed Version: 2022-09-28

Test Type: IT Root cause: 编码问题

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置 系统-日期与时间-时区

2、点击区域

【预期结果】

2、进入区域选择模式

【实际结果】

2、点击之后settings崩溃

【复现率】

必现

History

#1 - 2022-09-26 13:37 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#2 - 2022-09-26 16:40 - CD TEST-方永红

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019 to

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

#3 - 2022-09-27 10:27 - CD TEST-方永红

- Priority changed from Normal to Urgent

- Severity changed from Normal to Major

#4 - 2022-09-27 19:59 - CDTS_TEST 王成

- Severity changed from Major to Critical

#5 - 2022-09-28 11:17 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#6 - 2022-09-28 11:20 - CD AF-陈羽杰
- % Done changed from 0 to 60

- Degrated changed from -- to No

■ Current conclusion

已定位到问题

■ My analysis

由于修改双屏显示，父布局NestedScrollView嵌套RecyclerView，导致RecyclerView服用模式失效，从而创建大量viewholder使系统发生Anr导致崩溃。

■ Next action

本地修改，取消NestedScrollView验证。

#7 - 2022-09-28 15:43 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-28

- Root cause set to 编码问题

■ Current conclusion

已修复

■ My analysis

由于修改双屏显示，父布局NestedScrollView嵌套RecyclerView，导致RecyclerView服用模式失效，从而创建大量viewholder使系统发生Anr导致崩溃。

■ submit url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152503

#8 - 2022-09-29 18:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220929.alpha_0025

#9 - 2022-09-29 18:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152503 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Settings loading slow Bug1.Fix TimeZone Loading Slow2.Fix Developer Mode Loading SlowTC-RID: 1201-0201809IssueID:

TS-R-BUG-112131,TS-R-BUG-112115Change-Id: I4fda9460879629c5c45e94ee860dbd22979946a8

Files

系统-时区-区域崩溃.log 6.97 KB 2022-09-26 CD TEST-方永红
